Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class FromEntityPropertyPlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
          org.optaplanner.core.impl.domain.value.FromEntityPropertyPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class FromEntityPropertyPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`excludeUninitializedPlanningEntity, variableDescriptor`

Constructor Summary
`FromEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, ValueRange valueRangeAnnotation)`

Method Summary
`Collection<?>` | `extractAllValuesWithFiltering(Solution solution)`
`Collection<Object>` | `extractValues(Object entity)`
`Collection<?>` | `extractValuesWithFiltering(Solution solution, Object planningEntity)`
`long` | `getValueCount(Solution solution, Object planningEntity)`
`boolean` | `isEntityDependent()`

Methods inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`applyFiltering, getVariableDescriptor, isValuesCacheable, processExcludeUninitializedPlanningEntity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FromEntityPropertyPlanningValueRangeDescriptor

    public FromEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                          ValueRange valueRangeAnnotation)

Method Detail

### isEntityDependent

    public boolean isEntityDependent()

### extractAllValuesWithFiltering

    public Collection<?> extractAllValuesWithFiltering(Solution solution)

### extractValuesWithFiltering

    public Collection<?> extractValuesWithFiltering(Solution solution,
                                                    Object planningEntity)

### extractValues

    public Collection<Object> extractValues(Object entity)

### getValueCount

    public long getValueCount(Solution solution,
                              Object planningEntity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.